Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 83)
@@ -92,6 +92,7 @@
         /// </summary>
         public static int AdminSecurityManagement = -1;
 
+        #region 旧機密管理
         /// <summary>
         /// 旧機密管理番号
         /// </summary>
@@ -122,6 +123,8 @@
                                                                                 new KeyValuePair<int,string>(2,"統括責任者"),
                                                                                 new KeyValuePair<int,string>(3,"所　属　長"),
                                                                                 new KeyValuePair<int,string>(4,"一般使用者")};
+        #endregion
+
         /// <summary>
         /// 機密管理番号
         /// </summary>
@@ -480,27 +483,27 @@
         public enum ApprovalStatus
         {
             /// <summary>
-            /// 申請中
+            /// 0:申請中
             /// </summary>
             Petition = 0,
             /// <summary>
-            /// 保　留
+            /// 1:保　留
             /// </summary>
             Pending,
             /// <summary>
-            /// 承　認
+            /// 2:承　認
             /// </summary>
             Approval,
             /// <summary>
-            /// 不承認
+            /// 3:不承認
             /// </summary>
             NotApproval,
             /// <summary>
-            /// 未　定
+            /// 4:未　定
             /// </summary>
             Undecided,
             /// <summary>
-            /// 未申請
+            /// 5:未申請
             /// </summary>
             Unclaimed,
         }
@@ -507,8 +510,8 @@
         /// <summary>
         /// 申請状態色
         /// </summary>
-        public static Color[] ApprovalBackColorStatusColor = new Color[] { Color.Blue, Color.Yellow, Color.MediumSpringGreen, Color.Red, Color.LightSkyBlue, Color.LightBlue };
-        public static Color[] ApprovalForeColorStatusColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black, Color.Black, Color.Black };
+        public static Color[] ApprovalBackStatusColor = new Color[] { Color.Blue, Color.Yellow, Color.MediumSpringGreen, Color.Red, Color.LightSkyBlue, Color.LightBlue };
+        public static Color[] ApprovalForeStatusColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black, Color.Black, Color.Black };
 
         /// <summary>
         /// 承認状態文字
@@ -1660,6 +1663,22 @@
                                                                                 new KeyValuePair<int,string>(1,"総務業務可能")};
         #endregion
 
+        #region 承認対象区分
+        /// <summary>
+        /// 承認対象区分
+        /// </summary>
+        public enum ApprovalDivision
+        {
+            /// <summary>
+            /// 工事対象承認
+            /// </summary>
+            ConstrApproval = 1,
+            /// <summary>
+            /// 担当者対象承認
+            /// </summary>
+            PerosonApproval,
+        }
+        #endregion
         #region 業者手間区分
         /// <summary>
         /// 業者手間区分                          // Add BIT 2017/02/23
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonMotions.cs	(revision 83)
@@ -1795,6 +1795,18 @@
                     wrk.BackColor = CommonDefine.s_clrError;
                 }
             }
+            else if (objCtrl.GetType().Equals(typeof(NumericUpDown)))
+            {
+                NumericUpDown wrk = (NumericUpDown)objCtrl;
+                if (bPara)
+                {
+                    wrk.BackColor = CommonDefine.s_clrNormal;
+                }
+                else
+                {
+                    wrk.BackColor = CommonDefine.s_clrError;
+                }
+            }
         }
 
         #endregion
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 83)
@@ -1,5 +1,6 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Collections;
 using System.Linq;
 using System.Text;
 using System.Threading.Tasks;
@@ -26,13 +27,20 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
-        #region 承認申請・承認をする
+        #region 定数
+
+        #region 申請レコード番号
         /// <summary>
-        /// 案件の承認申請・承認をする
+        /// 申請レコード枝番
         /// </summary>
-        /// <param name="ConstructionCode">工事番号</param>
-        /// <param name="ApprovalCode">機能番号</param>
-        /// <param name="Status">承認状態</param>
+        private const int s_PrimartyRecord = 1;
+        #endregion
+        #endregion
+
+        #region 承認申請・承認をする(工事承認)
+        /// <summary>
+        /// 案件の承認申請・承認をする(工事承認)
+        /// </summary>
         /// <returns>成功：true　失敗：false</returns>
         public static bool CreatePetitionApproval(ProcessApproval Rec)
         {
@@ -68,10 +76,49 @@
         }
         #endregion
 
-        #region 申請レコード更新
+        #region 承認申請・承認をする(担当者承認)
         /// <summary>
-        /// 申請レコードを更新する
+        /// 案件の承認申請・承認をする(担当者承認)
         /// </summary>
+        /// <returns>成功：true　失敗：false</returns>
+        public static bool CreatePetitionApproval(PersonApproval Rec)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                string strSQL = ApprDB.CreatePrimarykeyString(Rec.PersonCode, Rec.ApprovalCode, Rec.OrderDate, Rec.OrderNo, Rec.SeqNo);
+                List<PersonApproval> DataList = new List<PersonApproval>();
+                // データがあるかをチェックする
+                if (!ApprDB.SelectAction(strSQL, ref DataList)) return false;
+
+                // データ追加時
+                if (DataList.Count == 0)
+                {
+                    if (!ApprDB.InsertAction(Rec)) return false;
+                    return true;
+                }
+
+                // データ更新時
+                if (!ApprDB.UpdateAction(strSQL, Rec)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 申請レコード更新(工事承認)
+        /// <summary>
+        /// 申請レコードを更新する(工事承認)
+        /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <param name="Status"></param>
@@ -81,15 +128,6 @@
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
-                // 申請レコードを取得する
-                //string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNO, 1);
-                //ProcessApproval DataRec = new ProcessApproval();
-                //// データがあるかをチェックする
-                //if (!ApprDB.SelectAction(strSQL, ref DataRec)) return false;
-
-                // レコードのステータスを変える
-                //DataRec.ApprovalStatus = Status;
-                //if (!ApprDB.UpdateAction(strSQL, DataRec)) return false;
                 if (!ApprDB.UpdateFeild(ConstructionCode,
                                         (int)IOProcessApproval.ColumnName.ApprovalStatus,
                                         Status,
@@ -96,7 +134,7 @@
                                         true,
                                         ApprovalCode,
                                         OrderNO,
-                                        1)) return false;
+                                        s_PrimartyRecord)) return false;
 
                 return true;
             }
@@ -112,14 +150,50 @@
         }
         #endregion
 
-        #region 申請確認
+        #region 申請レコード更新(担当者承認)
         /// <summary>
+        /// 申請レコードを更新する(担当者承認)
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <param name="Status"></param>
+        /// <returns></returns>
+        public static bool SetPrimaryRecStatus(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo, int Status)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                if (!ApprDB.UpdateFeild(PersonCode,
+                                        ApprovalCode,
+                                        OrderDate,
+                                        (int)IOPersonApproval.ColumnName.ApprovalStatus,
+                                        Status,
+                                        true,
+                                        OrderNo,
+                                        s_PrimartyRecord)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 申請確認（工事承認）
+        /// <summary>
         /// 案件に対して申請がされているかを確認する
         /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPetition(int ConstructionCode, int ApprovalCode, int ApprovalCount)
+        public static bool CheckProcessPetition(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
@@ -126,7 +200,7 @@
             {
                 bool bPetition = false;
                 // 申請データ取得
-                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount, 1);
+                string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, s_PrimartyRecord);
                 List<ProcessApproval> PetitionList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
                 // 申請データが無い場合
@@ -146,14 +220,48 @@
         }
         #endregion
 
-        #region 最終承認確認
+        #region 申請確認（担当者承認）
         /// <summary>
+        /// 担当者申請がされているかを確認する
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonPetition(int PersonCode, int ApprovalCode, DateTime ApprovalDate, int OrderNo)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                bool bPetition = false;
+                // 申請データ取得
+                string strSQL = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, OrderNo);
+                List<PersonApproval> PetitionList = new List<PersonApproval>();
+                if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
+                // 申請データが無い場合
+                if (PetitionList.Count != 0) bPetition = true;
+
+                return bPetition;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 最終承認確認（工事承認）
+        /// <summary>
         /// 案件に対して承認がされているかを確認する
         /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
+        public static bool CheckProcessApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
         {
             IOMApproval mApprDB = new IOMApproval();
             IOProcessApproval ApprDB = new IOProcessApproval();
@@ -160,7 +268,7 @@
             try
             {
                 // 承認データを取得する（申請データを除く）
-                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, 1);
+                string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, Approvalcount, s_PrimartyRecord);
                 ProcessApproval DataRec = new ProcessApproval();
                 if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
 
@@ -181,14 +289,47 @@
         }
         #endregion
 
-        #region 承認確認
+        #region 最終承認確認（担当者承認）
         /// <summary>
-        /// 案件に対して最終承認がされているかを確認する
+        /// 担当者申請に対して承認がされているかを確認する
         /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonApproval(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                // 承認データを取得する（申請データを除く）
+                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, s_PrimartyRecord);
+                PersonApproval DataRec = new PersonApproval();
+                if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
+
+                if (DataRec.ApprovalStatus != (int)CommonDefine.ApprovalStatus.Approval) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認確認（工事承認）
+        /// <summary>
+        /// 工事案件に対して最終承認がされているかを確認する
+        /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
+        public static bool CheckProcessApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mApprDB = new IOMApproval();
@@ -204,7 +345,7 @@
 
                 // 承認データを取得する（申請データを除く）
                 string strData = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo);
-                strData += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strData += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> DataList = new List<ProcessApproval>();
                 if (!ApprDB.SelectAction(strData, ref DataList)) return false;
                 if (DataList.Count == 0) return false;
@@ -260,6 +401,74 @@
         }
         #endregion
 
+        #region 承認確認（担当者承認）
+        /// <summary>
+        /// 担当者申請に対して最終承認がされているかを確認する
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonApprovalData(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
+        {
+            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
+            IOMApproval mApprDB = new IOMApproval();
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                bool bApproval = false;
+
+                // 承認データを取得する（申請データを除く）
+                string strSQL = "SELECT A.DISPLAYORDER, A.APPROVALPERSON, A.APPROVALAUTHORITY, B.SEQNO, B.APPROVALSTATUS";
+                strSQL += " FROM APPROVALMASTER A";
+                strSQL += " LEFT JOIN PERSONAPPROVAL B ON B.PERSONCODEAPPROVAL = A.APPROVALPERSON AND B.APPROVALCODE = A.APPROVALCODE";
+                strSQL += string.Format(" AND B.ORDERDATE = STR_TO_DATE('{0}','%Y/%m/%d')", OrderDate.ToShortDateString());
+                strSQL += string.Format(" AND B.ORDERNO = {0} AND B.SEQNO != {1}", OrderNo, s_PrimartyRecord);
+                strSQL += string.Format(" WHERE A.APPROVALCODE = {0}", ApprovalCode);
+                strSQL += " AND A.DEPARTMENTCODE = (SELECT C.DEPARTMENTCODE FROM PERSONINCHARGEMASTER C";
+                strSQL += string.Format(" WHERE C.PERSONCODE = {0})", PersonCode);
+                strSQL += " ORDER BY A.DISPLAYORDER";
+
+                ArrayList DataList = new ArrayList();
+                if (!ApprDB.ExecuteReader(strSQL, ref DataList)) return false;
+                if (DataList.Count == 0) return false;
+
+                int NoCnt = DataList.Count;
+                foreach (object[] DataRec in DataList)
+                {
+                    // 承認以外は対象にしない
+                    int StatData= CommonMotions.cnvInt(DataRec[4]);
+                    if (StatData != (int)CommonDefine.ApprovalStatus.Approval) continue;
+
+                    // 最終承認権限が設定されていれば承認済み
+                    int ApprovalAuthority = CommonMotions.cnvInt(DataRec[2]);
+                    if (ApprovalAuthority == 1)
+                    {
+                        bApproval = true;
+                        break;
+                    }
+
+                    // 承認していればデータ件数からマイナス
+                    --NoCnt;
+                }
+                // マスタに設定されている承認者全員が承認していれば承認
+                if (NoCnt == 0) bApproval = true;
+
+                return bApproval;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+                mApprDB.close(); mApprDB = null;
+                cbiDB.close(); cbiDB = null;
+            }
+        }
+        #endregion
+
         #region ログインユーザーの承認者確認
         /// <summary>
         /// ログインユーザーは承認者かどうかを確認する
@@ -270,7 +479,6 @@
         public static bool CheckUserForApprover(int ApprovalCode, int DepartmentCode)
         {
             IOMApproval mApprDB = new IOMApproval();
-            IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
                 // システム管理者は全ての権限を持つ
@@ -306,7 +514,6 @@
             }
             finally
             {
-                ApprDB.close(); ApprDB = null;
                 mApprDB.close(); mApprDB = null;
             }
         }
@@ -370,7 +577,6 @@
         /// <summary>
         /// 工事コードと承認機能コードより現在管理担当部署コードを取得する
         /// </summary>
-        /// <param name="PersonCode"></param>
         /// <returns></returns>
         public static int GetFromConstructionAndApprovalTheDepartment(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
@@ -379,7 +585,7 @@
             try
             {
                 // 管理担当者コードを取得する
-                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, 1);
+                string strSQL = ApprovalDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, s_PrimartyRecord);
                 ProcessApproval ApprovalRec = new ProcessApproval();
                 int CurrentPersonCode = 0;
                 if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
@@ -412,6 +618,51 @@
         }
         #endregion
 
+        #region 担当者コードと承認機能コードより現在管理担当部署コードを取得
+        /// <summary>
+        /// 担当者コードと承認機能コードより現在管理担当部署コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        public static int GetFromPersonAndApprovalTheDepartment(int PersonCode, int ApprovalCode, DateTime OrderDate, int OrderNo)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOPersonApproval ApprovalDB = new IOPersonApproval();
+            try
+            {
+                // 管理担当者コードを取得する
+                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, OrderNo, s_PrimartyRecord);
+                PersonApproval ApprovalRec = new PersonApproval();
+                int CurrentPersonCode = 0;
+                if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
+                {   // 申請データがある時はそのデータ
+                    CurrentPersonCode = ApprovalRec.PersonCode;
+                }
+                else
+                {
+                    // データが無い場合（申請時）は申請ユーザー
+                    CurrentPersonCode = PersonCode;
+                }
+
+                // 担当者部署取得
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                string strPerson = picDB.CreatePrimarykeyString(CurrentPersonCode);
+                if (!picDB.SelectAction(strPerson, ref PersonRec)) return 0;
+
+                return PersonRec.DepartmentCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                ApprovalDB.close(); ApprovalDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
         #region 工事コードと承認機能コードより現在管理担当者コードを取得
         /// <summary>
         /// 工事コードと承認機能コードより現在管理担当者コードを取得する
@@ -481,12 +732,12 @@
         }
         #endregion
 
-        #region 承認数取得
+        #region 承認数取得（工事承認）
         /// <summary>
         /// 該当工事より承認数取得する
         /// </summary>
         /// <returns></returns>
-        public static int GetApprovalDataCount(int ConstructionCode, int ApprovalCode, int ApprovalCount)
+        public static int GetProcessApprovalDataCount(int ConstructionCode, int ApprovalCode, int ApprovalCount)
         {
             IOProcessApproval paDB = new IOProcessApproval();
             try
@@ -493,7 +744,7 @@
             {
                 // 承認データ取得
                 string strSQL = paDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount);
-                strSQL += " And SeqNo != 1 And ApprovalStatus = 2";
+                strSQL += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> ApprovalList = new List<ProcessApproval>();
                 if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
 
@@ -511,6 +762,36 @@
         }
         #endregion
 
+        #region 承認数取得（担当者承認）
+        /// <summary>
+        /// 担当者申請より承認数取得する
+        /// </summary>
+        /// <returns></returns>
+        public static int GetPersonApprovalDataCount(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        {
+            IOPersonApproval paDB = new IOPersonApproval();
+            try
+            {
+                // 承認データ取得
+                string strSQL = paDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate);
+                strSQL += string.Format(" And SeqNo != {0} And ApprovalStatus = {1}", s_PrimartyRecord, (int)CommonDefine.ApprovalStatus.Approval);
+                List<PersonApproval> ApprovalList = new List<PersonApproval>();
+                if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
+
+                return ApprovalList.Count;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                paDB.close(); paDB = null;
+            }
+        }
+        #endregion
+
         #region 承認経路数を取得する
         /// <summary>
         /// 承認マスタより承認経路数を取得する
@@ -548,7 +829,7 @@
         /// 承認画面が起動しているかを確認する
         /// </summary>
         /// <returns></returns>
-        public static bool ExceApprovalScreen()
+        public static bool ExceApprovalScreen(int ApprovalNo = (int)ClsExcute.SubFormExecuteNo.ApprovalScreen)
         {
             try
             {
@@ -556,7 +837,7 @@
                 // 承認画面からの画面遷移は1画面（対象画面）のみになったのですぐ前にあるはず
                 for (int i = ClsExcute.GetNowProcessPoint() - 1; 0 <= i; i--)
                 {
-                    if (ClsExcute.ProcControlPara[i].ProcNo == (int)ClsExcute.SubFormExecuteNo.ApprovalScreen)
+                    if (ClsExcute.ProcControlPara[i].ProcNo == ApprovalNo)
                     {
                         bRet = true;
                         break;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsCalendar.cs	(revision 83)
@@ -77,8 +77,8 @@
                 int Holidays = 0;
 
                 string strSQL = "SELECT COUNT(*) FROM HOLIDAYCALENDERMASTER";
-                strSQL += string.Format(" WHERE TO_DATE('{0}','YYYY/MM/DD') <= HOLIDAY", Startdate.ToShortDateString());
-                strSQL += string.Format(" AND HOLIDAY <= TO_DATE('{0}','YYYY/MM/DD')", Complatedate.ToShortDateString());
+                strSQL += string.Format(" WHERE STR_TO_DATE('{0}','%Y/%m/%d') <= HOLIDAY", Startdate.ToShortDateString());
+                strSQL += string.Format(" AND HOLIDAY <= STR_TO_DATE('{0}','%Y/%m/%d')", Complatedate.ToShortDateString());
 
                 ArrayList datalist = new ArrayList();
                 if (!calDB.ExecuteReader(strSQL, ref datalist)) return 0;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 83)
@@ -103,7 +103,7 @@
             IOPurchaseOrderDetail DB18 = new IOPurchaseOrderDetail();               // 注文書明細データ
 
             IOProceedingsData DB19 = new IOProceedingsData();                       // 発注者打ち合わせ議事録データ
-            IOProceedingsDataAttendee DB20 = new IOProceedingsDataAttendee();       // 発注者打ち合わせ議事録データ（出席者）
+            IOProceedingsDataAttend DB20 = new IOProceedingsDataAttend();           // 発注者打ち合わせ議事録データ（出席者）
             IOProceedingsDataDetail DB21 = new IOProceedingsDataDetail();           // 発注者打ち合わせ議事録データ（明細）
             IODailyDataConstruction DB22 = new IODailyDataConstruction();           // 日報データ
             IODailyDataDetail DB23 = new IODailyDataDetail();                       // 日報データ (明細)
